#!/usr/bin/env python
#
# ShotCreate.py - The batch backend program that does all the interesting
#   work in creating the shot tables.
#
# Start of main program - simply call shottabMain()

import sys

import shottab.core.shotCreate

if __name__ == "__main__":
    print("Shot Table Creation Utility - pyShottab, version " + shottab.core.shotCreate.VERSION)
    print("")
    print("Dalhousie University, Department of Oceanography")

    if len(sys.argv) <= 1:
        print("Error: must supply a configuration file")
        sys.exit(1)
    
    shottab.core.shotCreate.shottabMain(sys.argv[1])

