#!/usr/bin/env python

import sys

from wxPython.wx import *
from shottab.gui import gui
from shottab.core.shotCreate import VERSION

# This is the mainline of the GUI - where execution really starts.  We simply 
# create an application instance - set up our main window and let the GUI event loop run.
if __name__ == "__main__":

    # Command line arguments (if any)
    args = sys.argv[1:]
    cfgFile = None

    if len(args) > 0:
        # only option we support now is options filename
        cfgFile = args[0]        
        print("using config file: %s" % cfgFile)
        
    app = wxPySimpleApp()
    frame = gui.MainWindow(None, -1, "Shottab Options Editor, Version " + VERSION, \
                       cfgFile)
    frame.Show(TRUE)
    app.MainLoop()
